/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2021  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#include "deflectionmodel.h"

TDeflectionModel::TDeflectionModel(void)
{
	d_parameter1 = 0.0;
	d_parameter2 = 0.0;
	d_parameter3 = 0.0;
	d_parameter4 = 0.0;
	
	d_range_y = 1000.0;
	d_range_z = 1000.0;
}

TDeflectionModel::~TDeflectionModel(void)
{
}

void TDeflectionModel::Set_Range_Y(
	const double						&d)
{
	if(d > 1.0)
	{
		d_range_y = d;
	}
}

void TDeflectionModel::Set_Range_Z(
	const double						&d)
{
	if(d > 1.0)
	{
		d_range_z = d;
	}
}
